<!DOCTYPE html>
<html lang="en">

<head>
  <title>Task 32.60</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>

  <div class="container">
    <div class="text-center my-4">
      <h2>DANH SÁCH ẢNH CỦA ALBUM SỐ 3</h2>
    </div>

    <table id="table-user" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>STT</th>
          <th>Album</th>
          <th>Title</th>
          <th>Url ảnh</th>
          <th>Thumnail</th>
        </tr>
      </thead>
      <tbody>
      
      </tbody>
    </table>
  </div>
  
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    
    $(document).ready(function(){
     
      callApiGetAllPhoto()
    })


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
   
    function callApiGetAllPhoto() {
        
        const vBASE_URL = "https://jsonplaceholder.typicode.com/albums/3/photos";

        $.ajax ({
          url: vBASE_URL,
          type: "GET",
          success: function(result){
            console.log(result);
            loadDataToTable(result);
          },
          error: function(ajaxContext){
            console.log(ajaxContext.responseText)
          }
        })
    }    





    //function for loading page
    function loadDataToTable(paramData){
      console.log("loaded");

      //create an object
      var vAlbumPbject = {
          albumId: "",
          id: "",
          title: "",
          url: "",
          thumnailUrl: "",
      }

      //creat a new row of the table
      var vTable = $("#table-user");
      
      for (var i=0; i < paramData.length; i++){
          //create a new row of the table
          var vNewRow = $("<tr>").appendTo(vTable);
          //create new cells of the new row
          var vSTT = 1;
          $("<td>", {html: vSTT + i}).appendTo(vNewRow);
          $("<td>", {html: paramData[i].albumId}).appendTo(vNewRow);
          $("<td>", {html: paramData[i].title}).appendTo(vNewRow);
          $("<td>", {html: paramData[i].url}).appendTo(vNewRow);
          
          //add image to the cell
          //option 1
          $("<td>", {html: "<img src="+ paramData[i].thumbnailUrl +" style=width:100px >"}).appendTo(vNewRow);
          //option 2
            //$("<img>").attr("src", paramData[i].thumbnailUrl).attr("style", "width:50px").appendTo(vNewRow);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    
    
</script>
</body>

</html>
​